Bug 84336 - [usb] [reboot] instant system reboot when unmounting a powered off/unplugged+replugged USB device
Summary: [usb] [reboot] instant system reboot when unmounting a powered off/unplugged+...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-30 11:50 UTC by Oliver Lehmann
Modified: 2011-09-29 15:36 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann freebsd_committer 2005-07-30 11:50:19 UTC
	1. I mount my digitalcamera (USB) via mount_msdosfs
	2. My camera goes offline after some time of inactivity
	3. Trying to unmount the camera when it went off causes an instantly system reboot.

	The same happend with an USB harddrive I attach, mount, power off, unmount -> reboot

	"power off" can be replaced by unplug and replug - unmounting it then causes a reboot too

Fix: 

no idea
How-To-Repeat: 	see description
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-07-30 16:26:06 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-usb

Reassign to appropriate mailing list.
Comment 2 Simon L. B. Nielsen freebsd_committer 2005-07-30 16:56:47 UTC
> 1. I mount my digitalcamera (USB) via mount_msdosfs
> 2. My camera goes offline after some time of inactivity
> 3. Trying to unmount the camera when it went off causes an instantly system reboot.


This very much sound like the known issue with removing the device
under a mounted file system which blows up.

Currently the only known answer for that is "Don't do that".  It's not
trivial to fix, but of cause it would be very nice for this to not
blow up.

There are at least a few other PR's about unmounting a mounted file
system which can be found by searching GNATS.

Of cause this could be a different issue.

--
Simon L. Nielsen
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-01-26 00:19:49 UTC
State Changed
From-To: open->suspended

This is a well-known error: there are underlying structures in the kernel 
that haven't been made to understand that drives can go away.  This 
assumption has been false for years.  However, the work required is going 
to be quite detailed; no quick workarounds are available (they've been 
discussed and rejected).  So, mark this one as suspended for now.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-09-29 15:36:28 UTC
State Changed
From-To: suspended->closed

The cause of this issue is believed to have been in 7.2+